﻿@model ClientApp.Models.DomainModels.Tbl_Customer
<div class="col-xs-12 col-md-3">
    <section class="app__section">
        <div class="app__section__header">
            افزودن مشترک جدید
        </div>
        <div class="app__section__body">
            <div class="row">
                <div class="col-xs-12 ">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            کد مشترک
                        </label>
                        <div id="addCustomerCodeParent">
                            @Html.Action("CalculateLastCode")
                        </div>
                        <div id="addCustomerCodeError"
                             class="app__form-error app__hide">
                            کد مشترک وارد  نشده است
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 ">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            نام
                        </label>
                        <div id="addCustomerNameParent">
                            @Html.DevExpress().TextBox(settings =>
                            {
                                settings.Name = "CustomerFirstNameTXT";
                                settings.Properties.NullText = "نام مشترک";
                            }).GetHtml()
                        </div>
                        <div id="addCustomerNameError"
                             class="app__form-error app__hide">
                            نام مشترک وارد نشده است
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 " ">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            نام خانوادگی
                        </label>
                        <div id="addCustomerLastNameParent">
                            @Html.DevExpress().TextBox(settings =>
                            {
                                settings.Name = "CustomerLastNameTXT";
                                settings.Properties.NullText = "نام خانوادگی مشترک را وارد کنید";
                            }).GetHtml()

                        </div>
                        <div id="addCustomerLastNameError"
                             class="app__form-error app__hide">
                            نام خانوادگی مشترک وارد نشده است
                        </div>
                    </div>
                </div>
                <div class="col-xs-12">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            شماره موبایل
                        </label>
                        <div id="addCustomermobileParent">
                            @Html.DevExpress().TextBox(settings =>
                            {
                            settings.Name = "CustomerMobileTXT";
                            settings.Properties.NullText = "مویایل مشترک را وارد کنید";
                            }).GetHtml()

                        </div>
                        <div id="addCustomermobileError"
                             class="app__form-error app__hide">
                            شماره موبایل مشترک وارد نشده است
                        </div>
                    </div>
                </div>
                <div class="col-xs-12">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            نوع مشتری
                        </label>
                        <div id="addCustomerTypeParent">
                            @{ Html.RenderAction("AddFormCustomerType", "Customer"); }

                        </div>
                        <div id="addCustomerTypeError"
                             class="app__form-error app__hide">
                            نوع مشترک انتخاب نشده است
                        </div>
                    </div>
                </div>

                <div class="col-xs-12">
                    <div class="app__form-item app__form-item--action">
                        @Html.DevExpress().Button(settings =>
                        {
                            settings.Name = "addFormSaveBtn";
                            settings.Text = "افزودن مشترک";
                            settings.UseSubmitBehavior = false;
                            settings.EnableClientSideAPI = true;
                            settings.Styles.CssPostfix = "filter-form__btn";
                            settings.ClientSideEvents.Click =
                                "motorsazanClient.customer.addCustomer";
                        }).GetHtml()
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>